//------------------------------------------------------------------------------
#ifndef Form_MsgEditH
#define Form_MsgEditH
//------------------------------------------------------------------------------
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <System.Classes.hpp>

#include "AdvGlowButton.hpp"
#include "AdvOfficeComboBox.hpp"
#include "AdvOfficePager.hpp"
#include "AdvOfficeSelectors.hpp"
#include "AdvToolBar.hpp"
//------------------------------------------------------------------------------

class TFormMsgEdit : public TForm
{
__published:	// IDE-managed Components

	TAdvOfficePager				*AdvOfficePager_Editor;
	TAdvOfficePage				*AdvOfficePage_HTMLEdit;

	TAdvDockPanel				*AdvDockPanel_Fmt;
	TAdvToolBar					*AdvToolBar_Fmt;
	TAdvOfficeFontSelector		*AOFNS_FmtFontName;
	TAdvOfficeFontSizeSelector	*AOFSS_FmtFontSize;
	TAdvGlowButton				*AGB_FmtBold;
	TAdvGlowButton				*AGB_FmtItalic;
	TAdvGlowButton				*AGB_FmtUnderline;
	TAdvOfficeColorSelector		*AOCS_FmtTxtColorFg;
	TAdvOfficeColorSelector		*AOCS_FmtTxtColorBg;
	TAdvGlowButton				*AGB_FmtNumbers;
	TAdvGlowButton				*AGB_FmtBullets;
	TAdvGlowButton				*AGB_FmtIndentDecr;
	TAdvGlowButton				*AGB_FmtIndentIncr;
	TAdvGlowButton				*AGB_FmtAlignLeft;
	TAdvGlowButton				*AGB_FmtAlignCenter;
	TAdvGlowButton				*AGB_FmtAlignRight;
	TAdvGlowButton				*AGB_FmtAlignJustify;
	TAdvGlowButton				*AGB_FmtHorizontalRule;
	TAdvGlowButton				*AGB_FmtHyperlink;
	TAdvGlowButton				*AGB_FmtPicture;
	TAdvGlowButton				*AGB_FmtStrikethrough;
	TAdvGlowButton				*AGB_FmtSuperscript;
	TAdvGlowButton				*AGB_FmtSubscript;
	TAdvOfficeCharacterSelector *AOCS_FmtInsertSymbol;
	TAdvGlowButton				*AGB_FmtClearFormatting;
	TAdvOfficeTableSelector		*AOTS_FmtInsertTable;
	TAdvGlowButton				*AGB_FmtParagraphLTR;
	TAdvGlowButton				*AGB_FmtParagraphRTL;
	TAdvGlowButton				*AGB_FmtInsertEmoji;

private:	// User declarations
public:		// User declarations
	  __fastcall TFormMsgEdit(TComponent* Owner);


    int FreezeVal = 0;
};
//------------------------------------------------------------------------------
#endif
